<bugID>1100926<Summary>Icon for Firefox Developer Edition is easily confused with Nightly</Summary><Description>I use nightly as well as the developer edition (aurora) on a regular basis and also side-by-side.

With the Aurora/Developer Edition Icon blue, those two browsers are hard to tell apart. I would prefer if the icon for the developer edition was in a completely different color (i.e., yellow, purple, red, green, .. :)</Description></bugID>